提交 92965d6b 编写于 作者: DCloud_iOS_WZT's avatar DCloud_iOS_WZT

update 4.08

上级 65747661
......@@ -163,7 +163,7 @@
2F8F66FE2B568AB4003E6DCC /* Sources */,
2F8F66FF2B568AB4003E6DCC /* Frameworks */,
2F8F67002B568AB4003E6DCC /* Resources */,
0C76A5622B4094BA8E69DCB3 /* [CP] Copy Pods Resources */,
A951EBC6F1D70A7F2E4F0E42 /* [CP] Copy Pods Resources */,
);
buildRules = (
);
......@@ -223,43 +223,43 @@
/* End PBXResourcesBuildPhase section */
/* Begin PBXShellScriptBuildPhase section */
0C76A5622B4094BA8E69DCB3 /* [CP] Copy Pods Resources */ = {
15E3B50BBE06F99B7E6CAAA5 /* [CP] Check Pods Manifest.lock */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputFileListPaths = (
"${PODS_ROOT}/Target Support Files/Pods-HelloUniMPDemo/Pods-HelloUniMPDemo-resources-${CONFIGURATION}-input-files.xcfilelist",
);
name = "[CP] Copy Pods Resources";
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputFileListPaths = (
"${PODS_ROOT}/Target Support Files/Pods-HelloUniMPDemo/Pods-HelloUniMPDemo-resources-${CONFIGURATION}-output-files.xcfilelist",
);
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-HelloUniMPDemo-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-HelloUniMPDemo/Pods-HelloUniMPDemo-resources.sh\"\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
15E3B50BBE06F99B7E6CAAA5 /* [CP] Check Pods Manifest.lock */ = {
A951EBC6F1D70A7F2E4F0E42 /* [CP] Copy Pods Resources */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputFileListPaths = (
"${PODS_ROOT}/Target Support Files/Pods-HelloUniMPDemo/Pods-HelloUniMPDemo-resources-${CONFIGURATION}-input-files.xcfilelist",
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
name = "[CP] Copy Pods Resources";
outputFileListPaths = (
);
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-HelloUniMPDemo-checkManifestLockResult.txt",
"${PODS_ROOT}/Target Support Files/Pods-HelloUniMPDemo/Pods-HelloUniMPDemo-resources-${CONFIGURATION}-output-files.xcfilelist",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-HelloUniMPDemo/Pods-HelloUniMPDemo-resources.sh\"\n";
showEnvVarsInLog = 0;
};
/* End PBXShellScriptBuildPhase section */
......@@ -443,6 +443,48 @@
"@executable_path/Frameworks",
);
MARKETING_VERSION = 1.0;
OTHER_LDFLAGS = (
"$(inherited)",
"-l\"SDWebImage\"",
"-l\"c++\"",
"-l\"coreSupport\"",
"-l\"iconv\"",
"-l\"libNativeObj\"",
"-l\"libNativeUI\"",
"-l\"libNavigator\"",
"-l\"libPDRCore\"",
"-l\"libStorage\"",
"-l\"libUI\"",
"-l\"libWeex\"",
"-framework",
"\"CFNetwork\"",
"-framework",
"\"CoreFoundation\"",
"-framework",
"\"CoreGraphics\"",
"-framework",
"\"CoreTelephony\"",
"-framework",
"\"CoreText\"",
"-framework",
"\"Foundation\"",
"-framework",
"\"ImageIO\"",
"-framework",
"\"JavaScriptCore\"",
"-framework",
"\"MediaPlayer\"",
"-framework",
"\"QuartzCore\"",
"-framework",
"\"QuickLook\"",
"-framework",
"\"UIKit\"",
"-framework",
"\"WebKit\"",
"-framework",
"\"storage\"",
);
PRODUCT_BUNDLE_IDENTIFIER = io.dcloud.HelloUniMPDemo;
PRODUCT_NAME = "$(TARGET_NAME)";
PROVISIONING_PROFILE_SPECIFIER = wildcard;
......@@ -477,6 +519,48 @@
"@executable_path/Frameworks",
);
MARKETING_VERSION = 1.0;
OTHER_LDFLAGS = (
"$(inherited)",
"-l\"SDWebImage\"",
"-l\"c++\"",
"-l\"coreSupport\"",
"-l\"iconv\"",
"-l\"libNativeObj\"",
"-l\"libNativeUI\"",
"-l\"libNavigator\"",
"-l\"libPDRCore\"",
"-l\"libStorage\"",
"-l\"libUI\"",
"-l\"libWeex\"",
"-framework",
"\"CFNetwork\"",
"-framework",
"\"CoreFoundation\"",
"-framework",
"\"CoreGraphics\"",
"-framework",
"\"CoreTelephony\"",
"-framework",
"\"CoreText\"",
"-framework",
"\"Foundation\"",
"-framework",
"\"ImageIO\"",
"-framework",
"\"JavaScriptCore\"",
"-framework",
"\"MediaPlayer\"",
"-framework",
"\"QuartzCore\"",
"-framework",
"\"QuickLook\"",
"-framework",
"\"UIKit\"",
"-framework",
"\"WebKit\"",
"-framework",
"\"storage\"",
);
PRODUCT_BUNDLE_IDENTIFIER = io.dcloud.HelloUniMPDemo;
PRODUCT_NAME = "$(TARGET_NAME)";
PROVISIONING_PROFILE_SPECIFIER = wildcard;
......
......@@ -6,7 +6,7 @@ target 'UniMPSwiftDemo' do
## 判断需要引用哪些模块请参考文档:https://nativesupport.dcloud.net.cn/AppDocs/usemodule/iOSModuleConfig/common.html#%E5%A6%82%E4%BD%95%E9%85%8D%E7%BD%AE%E6%A8%A1%E5%9D%97-%E4%B8%89%E6%96%B9sdk
## 根据功能对照表添加,建议一次不要Pod太多模块容易超时
pod 'unimp', :subspecs => [
pod 'unimp','~> 3.991', :subspecs => [
'Core', ##核心库(必需)
# 'Log', ##
# 'Accelerometer', ##加速度传感器
......
......@@ -9,7 +9,7 @@
Pod::Spec.new do |s|
s.name = "unimp"
s.version = "3.991"
s.version = "4.08"
s.summary = "UniMPSDK"
s.homepage = "https://gitcode.net/dcloud/unimpsdk-ios"
s.license = { :type => 'MIT', :file => 'LICENSE' }
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册